import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { Song } from './song.entity';
import { AlbumModule } from '../album/album.module';
import { SongController } from './song.controller';
import { SongService } from './song.service';

@Module({
  imports: [
    TypeOrmModule.forFeature([Song]),
    AlbumModule
  ],
  controllers: [SongController],
  providers: [SongService],
  exports: [TypeOrmModule]
})
export class SongModule {}
